Bug 24622 - RFE: have installer boot put /boot on more than sda or sdb
RFE: have installer boot put /boot on more than sda or sdb
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-22 13:08 EST by Cormac McGaughey
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 15:17:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cormac McGaughey 2001-01-22 13:08:06 EST
Configuration:
I have a server that has a built-in adaptec 7899 scsi controller. Attached 
to this controller are 3 drives. I add another adaptec card on the PCI 
bus, a Adaptec asc-39160, and attach 3 more drives to this. I set the 
system up and try to setup a configuration where I can boot using the asc-
39160. 

Problem:
Both cards use the aic7xxx driver. When the driver loads it sees the on-
board scsi as sda, sdb, sdc. The asc-39160 is sdd, sde, sdf. 

I'm using the default install mode, and I select custom configuration.
I tell the installer to place /boot on sdd by deselecting everything 
except sdd, and select ok. The installer forces the /boot partition to be 
on sda1. I try to edit this and it says that the only allowable drives are 
sda and sdb. 

Workarounds:
I have a workaround: I attach the asc-39160 drives onto to  on-board 
controller and installing to what is temporarily sda. I switch back, and 
boot sde. This works: lilo comes up, and linux will boot (but I have to 
issue override commands to let linux know that the drive is no-longer sda).

A second work around works for other scsi-controllers. If an expert 
install is used I can install the driver for the boot card first, and 
these drives become sda, sdb etc.

Problem synopsis:
The SCSI design allows for the ability to boot off any device. Why does 
the installer force /boot to be on sda or sdb? I don't think is correct. 
Surely I should not have to place data on another drive that isn't the 
boot drive?
Comment 1 Michael Fulbright 2001-01-25 17:45:39 EST
This is a legacy issue. The variety of controllers which allow other
configurations than the legacy "boot off first two drives" is large enough we
have not incoporated this into the current installer. It is something we may
visit in the future.
Comment 2 Michael Fulbright 2001-09-17 15:17:37 EDT
Should be fixed now in roswell.

Note You need to log in before you can comment on or make changes to this bug.